function registerUser(){

    

    var firstName = document.getElementById("registration_firstName").value;
    var lastName = document.getElementById("registration_lastName").value;
    var email = document.getElementById("registration_email").value;
    var username = document.getElementById("registration_username").value;
    var password = document.getElementById("registration_password").value;
    var confirmPassword = document.getElementById("registration_confirm_password").value;

    var validationMessage = validateRegistration(firstName,lastName,email,username,password,confirmPassword);

    if(validationMessage.length == 0){
        var cmd = null;
        var obj = null;
        var returnString = "";

        cmd = 'java -Dlchome.dir=/Applications/LiveCargoClients/commandline -jar /Applications/LiveCargoClients/commandline/lib/lcwidget.jar "register_user -u '+username+' -p '+password+' -E '+email+' -F '+firstName+' -L '+lastName+'"';
        obj = widget.system("cd ~;"+cmd, null);

        try{
            //Parse output from command line to see if there are any errors
            returnString = obj.outputString.toString();
        }
        catch(ex){
            //cmd didnnt return anything... leave this try/catch as a bug fix or js wont continue
        }

        //Display any errors to user
        if(returnString.indexOf("User") >= 0 || returnString.indexOf("not valid") >= 0 ){
            document.getElementById("errorText").innerHTML = "<BR>"+returnString;
            showTheError();
        }
        else{
            document.getElementById("errorText").innerHTML = MSG_REGISTRATION_SUCCESS;
            
            hideRegistrationArea();
            savePrefs();
            showTheError();
        }
    }
    else{
        document.getElementById("errorText").innerHTML = "<BR>"+validationMessage;
        showTheError();
    }

}

function validateRegistration(firstName,lastName,email,username,password,confirmPassword){
    var registrationPassed = true;
    var problemMessage = "";

    
    
    //Assert that the username and passwords are at least 6 chars long
    if(username.length < 6 || password.length < 6){
        registrationPassed = false;
        problemMessage = "Username and password must be at least six characters long";
    }

    //Assert that the password and confirmPassword match
    if(password != confirmPassword){
        registrationPassed = false;
        problemMessage = "Password and confirm password fields must match.";
    }

    //Assert that all of the values are not empty    
    if(firstName.length==0 || lastName.length==0 || email.length==0 || username.length==0 || password.length==0 || confirmPassword.length==0){
        registrationPassed = false;
        problemMessage = "All fields are required.";
    }

    
    return problemMessage;
    
}


function copyUsernameAndPasswordText(){
    var regUserForm = document.getElementById("registration_username");
    var widgetPrefUserForm = document.getElementById("userNameInputBox");
    widgetPrefUserForm.value = regUserForm.value;

    var regPasswordForm = document.getElementById("registration_password");
    var widgetPrefPasswordForm = document.getElementById("passwordInputBox");
    widgetPrefPasswordForm.value = regPasswordForm.value;
    
}

function openRegistrationWebPage(){
	widget.openURL('http://www.livecargo.com/LiveCargo/index/macwidget/topic/MAC_WIDGET');
}
