function init(){
	
	document.getElementById('done').src = 'Images/done.png';
    loadRecipientOptions();
    hideProgBar();
    hideRecipientBox();
    showRecipientList();
    hideTheError();
 	checkUserConfiguration();
    emailMapping = new Object();
    //importRecipients();



}

function checkUserConfiguration(){
	var configured = "true";

    usernamepref = widget.preferenceForKey("username");
    if (usernamepref != null && usernamepref != "")
        document.getElementById('userNameInputBox').value = usernamepref;   
    else
        configured = "false";

    passwordpref = widget.preferenceForKey("password");
    if (passwordpref != null && passwordpref != "")
        document.getElementById('passwordInputBox').value = passwordpref;
    else
        configured = "false";

	// if pref exists and is off, uncheck the box, otherwise, turn on encryption pref
    encryptpref = widget.preferenceForKey("encrypt");
    if( encryptpref && encryptpref == "off" )
        document.getElementById('encryptCheckbox').checked = false;
    else
        document.getElementById('encryptCheckbox').checked = true;
    	
   	// if pref exists and is off, uncheck the box, otherwise, turn on compression pref
    compresspref = widget.preferenceForKey("compress");
    if (compresspref && compresspref == "off" )
        document.getElementById('compressCheckbox').checked = false;
    else 
        document.getElementById('compressCheckbox').checked = true;

    if(configured=="false"){
        document.getElementById("errorText").innerHTML = MSG_WELCOME;
        showTheError();
    }
}


function savePrefs() {
	// can't write empty string to pref file since we can't distinguish between off and new install
	// instead, write on/off
	encryptpref = document.getElementById("encryptCheckbox").value == "on" ? "on" : "off";
	compresspref = document.getElementById("compressCheckbox").value == "on" ? "on" : "off";
    widget.setPreferenceForKey(document.getElementById("userNameInputBox").value, "username");
    widget.setPreferenceForKey(document.getElementById("passwordInputBox").value, "password");
    widget.setPreferenceForKey(encryptpref,"encrypt");
    widget.setPreferenceForKey(compresspref,"compress");
  
    checkUserConfiguration();
}

function recognizeFile(event)
{
    file = event.dataTransfer.getData("text/uri-list");	// attempt to load the location of the file
    fileCount=mySplit=file.split("\n").length;
    
    if( fileCount > 1 )
    {
    	errorText.innerHTML = ERROR_ONLY_ONE_FILE;
    	showTheError();
    }
    else
    {
	    document.getElementById('infoURL').innerHTML = 'File To Send:';
	
	    //parse the file to get the absolute path:
	    file = file.substring(16,file.length);
	    file = unescape(file);
	    fileDirectoryStructure = file.split("/");
	    filnameToDisplay = fileDirectoryStructure[fileDirectoryStructure.length-1];
	    
	    if(filnameToDisplay.length > 18) {
	        filnameToDisplay = filnameToDisplay.substring(0,17)+"...";
	     }
	    
	    document.getElementById('consolePanel_TOP').innerHTML = "";
	    document.getElementById('filename_not_scrollling').innerHTML = "";

	    document.getElementById('filename_not_scrollling').innerHTML = filnameToDisplay;
	    document.getElementById('tempScollerValue').innerHTML = "";
	    document.getElementById('iemarquee').innerHTML = "";
	
	}
}


function sendFile ()
{
        startAnimation();

		var errorText = document.getElementById("errorText");

		//errorText.innerHTML = file;
         //showTheError();
         //break;
		

		var obj = null;
        if (file){

			
            try {

                    
            
                    //errorText.innerHTML = file;
                    //showTheError();

                    //clearInfo();

                    //var progBarContainer = new Image();
                    //progBarContainer.src = '/Images/progbar/container.png';
                    //document["progBarContainer"].src = progBarContainer.src

                    //showProgBar();    
                    document.getElementById('status').innerHTML = "working...";

					
                    progBarFilename = createRandomProgBarFilename();
                    
                    
                    		
                    
                    var selectedEmailString;

                    if(useRecipientListOrBox == "LIST")
                        selectedEmailString = document.getElementById("theRecipientsSelecter").value;
                    else
                        selectedEmailString = document.getElementById("recipientBox").value;

					if(selectedEmailString == null || selectedEmailString == "-----Select a Recipient-----")
					{
	               		errorText.innerHTML = ERROR_NO_RECIPIENT_SELECTED;
                        showTheError();
                        clearProgress();
                        stopAnimation();
                        break;
                   	}

					rawEmailValue = emailMapping[selectedEmailString];	

                    var email;
                    
                    if(useRecipientListOrBox == "LIST")
                        email = rawEmailValue;
                    else
                        email = selectedEmailString;
                    
                    
                    //var email = widget.preferenceForKey("emailAddress");
                    var username = widget.preferenceForKey("username");
                    var password = widget.preferenceForKey("password");
                    var encrypt = widget.preferenceForKey("encrypt");
                    var compress = widget.preferenceForKey("compress");

                    var message = document.getElementById("msg").value;
                    //message = "test hard coded message";

                    
                    
                    if(encrypt == "on")
                        encrypt = "-e 1"; //the switch for turning on encryption
                    else
                        encrypt = "";

                    if(compress == "on")
                        compress = "-c 1"; //the switch for turning on compression
                    else
                        compress = "";
                    
                    
                    
                    file_escaped = '\\'+'\"'+file+'\\'+'\"';    
                    
                    showProgBar();
                    startProgressBar(progBarFilename);
                

					//Build the command to execute our commandline app and pass it the args
					var cmd = 'cd .;java -Dlchome.dir='+COMMANDLINE_HOME_DIRECTORY+' -jar '+LIB_DIRECTORY+'/lcwidget.jar "sendPkg -u '+username+' -p '+password+' -r '+email+' -f '+file_escaped+' -k You have been sent a file -m '+message+ ' '+encrypt+ ' '+compress+' -v  -P '+PROGRESS_BAR_DIRECTORY+'/'+progBarFilename+' -V '+VERSION_NUMBER+'"';
					
					//Execute the command
					obj = widget.system(cmd, myEndHandler);
					obj.onreadoutput = handleOutput;
                    
                  
                    //Parse output from command line to find out the status/transaction id, etc...
                    // var returnString = obj.outputString.toString();

                    // var displayStringBottom = returnString;

            } catch (ex)
            {
            		//ex.printStackTrace();
            		//widget.system("echo "+ex.message, null);
                var displayStringTop = "("+returnString+")  "+ex.name+" : "+ex.message;
                document.getElementById("errorText").innerHTML = ERROR_APPLICATION_NOT_INSTALLED;
                showTheError();
                clearProgress();
                stopAnimation();
            }
        }
        else{
            var displayStringTop = ERROR_NO_FILE_SELECTED;
            document.getElementById("errorText").innerHTML = displayStringTop;
            showTheError();
            clearProgress();
            stopAnimation();
        }

}

function handleOutput( output ) {

	if( output.indexOf("Exception") >= 0 ) {
		alert( output );
	}
    else if(output.indexOf("Package successfully sent") >= 0){ // transaction was a success, glean the tracking number
    	clearProgress();
        clearFile();
        consolePanel_TOP.innerHTML = MSG_TRANSACTION_COMPLETE;
        stopProgressBar(progBarFilename);
    }
	else if(output.indexOf("No recipient") >= 0){ 
	    errorText.innerHTML = ERROR_NO_RECIPIENT_SELECTED;
	    showTheError();
	    clearProgress();
    }
	else if(output.indexOf("Password required") >= 0){ 
	    errorText.innerHTML = ERROR_PASSWORD_REQUIRED;
	    showTheError();
	    clearProgress();
	}
	else if(output.indexOf("Username required") >= 0){ 
	    errorText.innerHTML = ERROR_USERNAME_REQUIRED;
	    showTheError();
	    clearProgress();
    }
	else if(output.indexOf("Authentication failed") >= 0){ 
	    errorText.innerHTML = ERROR_AUTHENTICATION_FAILED;
	    showTheError();
	    clearProgress();
    }
	else if(output.indexOf("Unable to contact") >= 0){ 
	    errorText.innerHTML = ERROR_COMMUNICATION_FAILURE;
	    showTheError();
	    clearProgress();
    }
	else if(output.indexOf("Email address") >= 0 && output.indexOf("is not valid") >= 0){ 
	    errorText.innerHTML = ERROR_INVALID_EMAIL;
	    showTheError();
	    clearProgress();
    }
	else if(output.indexOf("undefined") >= 0){
	    errorText.innerHTML = ERROR_APPLICATION_NOT_INSTALLED;
	    showTheError();
	    clearProgress();
    }
	else if(output.indexOf("Cannot send files larger") >= 0){
	    errorText.innerHTML = ERROR_FILE_TOO_LARGE;
    	showTheError();
    	clearProgress();
        clearFile();
        consolePanel_TOP.innerHTML = MSG_INSTRUCTIONS;
    }
	else if(output.indexOf("out of date") >= 0){
	    errorText.innerHTML = output;
	    showTheError();
	    clearProgress();
    }
    else if(output.indexOf("does not exist") >= 0){
    	errorText.innerHTML = ERROR_FILE_NOT_FOUND;
    	showTheError();
    	clearProgress();
        clearFile();
        consolePanel_TOP.innerHTML = MSG_INSTRUCTIONS;
    	stopProgressBar(progBarFilename);
    }
	else {
    	alert("Unrecognized message: " + output);
    }

}

function myEndHandler() {
	stopAnimation();
	// alert('finished reading the file');
}

function clearProgress(){
    //document.getElementById("consolePanel_TOP").innerHTML = "";
    document.getElementById('status').innerHTML = "";
    hideProgBar();
}



function clearTransaction(){    
    document.getElementById("consolePanel_TOP").innerHTML = MSG_INSTRUCTIONS;
    document.getElementById("msg").innerHTML = "";
    document.getElementById('infoURL').innerHTML = "";
    document.getElementById('status').innerHTML = "";
    document.getElementById('iemarquee').innerHTML = "";
    document.getElementById('filename_not_scrollling').innerHTML = "";
    
    file = "";
    hideProgBar();
    showRecipientList();
    hideRecipientBox();
}

function clearFile(){
	document.getElementById('infoURL').innerHTML = "";
    document.getElementById('status').innerHTML = "";
    document.getElementById('iemarquee').innerHTML = "";
    document.getElementById('filename_not_scrollling').innerHTML = "";
    
    file = "";
}

function clearStatus(){    
    document.getElementById("consolePanel_TOP").innerHTML = MSG_INSTRUCTIONS;
    //document.getElementById("msg").innerHTML = "";
    document.getElementById('infoURL').innerHTML = "";
    document.getElementById('status').innerHTML = "";
    document.getElementById('iemarquee').innerHTML = "";
    
    
    hideProgBar();
    showRecipientList();
    hideRecipientBox();
}

function dragenter (event)
{
	event.stopPropagation();
	event.preventDefault();

}

function dragover (event)
{
	event.stopPropagation();
	event.preventDefault();
}

function dragleave (event)
{
	event.stopPropagation();
	event.preventDefault();
}


function mousemove (event)
{
    if (!flipShown)
    {
        if (animation.timer != null)
        {
            clearInterval (animation.timer);
            animation.timer  = null;
        }
                
        var starttime = (new Date).getTime() - 13;
                
        animation.duration = 500;
        animation.starttime = starttime;
        animation.firstElement = document.getElementById ('flip');
        animation.timer = setInterval ("animate();", 13);
        animation.from = animation.now;
        animation.to = 1.0;
        animate();
        flipShown = true;
    }
}
function mouseexit (event)
{
    if (flipShown)
    {
        // fade in the info button
        if (animation.timer != null)
        {
            clearInterval (animation.timer);
            animation.timer  = null;
        }
                
        var starttime = (new Date).getTime() - 13;
                
        animation.duration = 500;
        animation.starttime = starttime;
        animation.firstElement = document.getElementById ('flip');
        animation.timer = setInterval ("animate();", 13);
        animation.from = animation.now;
        animation.to = 0.0;
        animate();
        flipShown = false;
    }
}
function animate()
{
    var T;
    var ease;
    var time = (new Date).getTime();
                
        
    T = limit_3(time-animation.starttime, 0, animation.duration);
        
    if (T >= animation.duration)
    {
        clearInterval (animation.timer);
        animation.timer = null;
        animation.now = animation.to;
    }
    else
    {
        ease = 0.5 - (0.5 * Math.cos(Math.PI * T / animation.duration));
        animation.now = computeNextFloat (animation.from, animation.to, ease);
    }
        
    animation.firstElement.style.opacity = animation.now;
}
function limit_3 (a, b, c)
{
    return a < b ? b : (a > c ? c : a);
}
function computeNextFloat (from, to, ease)
{
    return from + (to - from) * ease;
}
function enterflip(event)
{
    document.getElementById('fliprollie').style.display = 'block';
}
function exitflip(event)
{
    document.getElementById('fliprollie').style.display = 'none';
}


function loadRecipientOptions(){
	//Put in the instructions
    recipientOption = document.createElement('option');
    recipientOption.setAttribute("id", "instructions");
    recipientOption.innerHTML = "-----Select a Recipient-----";
    theRecipientsSelecter.appendChild(recipientOption);


    //Put in the manual email add option
    recipientOption = document.createElement('option');
    recipientOption.setAttribute("id", "manualAdd");
    recipientOption.innerHTML = "[ADD A RECIPIENT MANUALLY]";
    theRecipientsSelecter.appendChild(recipientOption);


    //Put in the manual email add option
    recipientOption = document.createElement('option');
    recipientOption.setAttribute("id", "importAddressBook");
    recipientOption.innerHTML = "[IMPORT ADDRESS BOOK]";
    theRecipientsSelecter.appendChild(recipientOption);
}

function importRecipients(){
 /*
 	var nameList;
    var abCount = 0;
	
    nameList = AddressBook.nameList();
    abCount = nameList.length;
 
 	debug(abCount);
 */
    var max = AddressBook.count();

    //Count the number of actual email addresses and create an array of this size:
    var numberOfEmailAddresses = 0;   
    for(var i=0; i<max; i++){  //Go through all of the address book entries
        AddressBook.displayCardAtIndex(i);
        for(var j=0; j<3; j++){  //Go through each type of email address
            property = AddressBook.displayedPropertyAtIndex(j);
            if (property == "Email")
                numberOfEmailAddresses++;
        }
    }

    recipientDisplayArray = new Array(numberOfEmailAddresses);
    recipientValueArray = new Array(numberOfEmailAddresses);

    var recipientArrayCounter = 0;
    var MAX_RECIPIENTS_CHARS = 24;

    for(var i=0; i<max; i++){  //Go through all of the address book entries
        AddressBook.displayCardAtIndex(i);
        theRecipientsSelecter = document.getElementById('theRecipientsSelecter');

        for(var j=0; j<AddressBook.displayedItemCount(); j++){  //Go through each type of email address
            property = AddressBook.displayedPropertyAtIndex(j);
            value = AddressBook.displayedValueAtIndex(j);
            label = AddressBook.displayedLabelAtIndex(j);
           

            if (property == "Email"){

                //Stuff the current email address into the global array:
                var currentEmailAddress = value.toLowerCase();
                recipientDisplayArray[recipientArrayCounter] = currentEmailAddress;
                recipientValueArray[recipientArrayCounter] = currentEmailAddress;
				
                recipientArrayCounter++;
            }
            
            
        }
        

    }

	for(var i=0; i<numberOfEmailAddresses; i++){
		displayValue = recipientDisplayArray[i];
    		rawValue = recipientValueArray[i];
    
        //Truncate the recipient text:
        if(displayValue.length > MAX_RECIPIENTS_CHARS){
            displayValue = displayValue.substring(0, MAX_RECIPIENTS_CHARS)+"...";
        }

 		//Map the display value to the actual raw email address
		emailMapping[displayValue] = rawValue;
 
	}
    
    recipientDisplayArray.sort();
 
    for(var i=0; i<numberOfEmailAddresses; i++){

        displayValue = recipientDisplayArray[i];
    
        //Create the select box control id for this iteration
        currentRecipientOption = "recipientOption"+i;

        //Truncate the recipient text:
        if(displayValue.length > MAX_RECIPIENTS_CHARS){
            displayValue = displayValue.substring(0, MAX_RECIPIENTS_CHARS)+"...";
        }

        //Build up option tags for the select control
        recipientOption = document.createElement('option');
        recipientOption.setAttribute("id", currentRecipientOption);
        recipientOption.innerHTML = displayValue;
        
        theRecipientsSelecter.appendChild(recipientOption);

    }

   
    
}//end loadRecipients


function removeImportOption(){
    importOption =  document.getElementById("importAddressBook")
    theRecipientsSelecter.removeChild(importOption);
}

function getOptionIndexForValue(selectObject, value) {
    var select = selectObject;  //get a reference to the select object

    for (var i = 0; i < select.options.length; i ++) {
      if (select.options[i].value == value) 
	      return i;
    }

    return -1;
}


function checkForManualRecipientSelection(){
    
    var selectedEmailString = document.getElementById("theRecipientsSelecter").value;
    if(selectedEmailString.indexOf("ADD A RECIPIENT MANUALLY") > 0){
    		document.getElementById("recipientBox").focus();
        useRecipientListOrBox = "BOX";
        addManualRecipient();
    }
    if(selectedEmailString.indexOf("IMPORT") > 0){
        importRecipients();
        removeImportOption();
        showRecipientList();
    }
}

function addManualRecipient(){
    hideRecipientList();
    showRecipientBox();
}

function debug(outputText){
	 document.getElementById("msg").innerHTML = outputText;
     //showTheError();
}

